# Type alias ArchivistConfig<TConfig>

ArchivistConfig<TConfig>: ModuleConfig<WithAdditional<{
parents?: ArchivistParents;
schema: TConfig extends Payload
? TConfig["schema"]
: ArchivistConfigSchema;
storeParentReads?: boolean;
}, Omit<TConfig, "schema">>>

#### Type Parameters

- #### TConfig extends Payload | undefined = undefined

- Defined in modules/packages/archivist/packages/model/dist/types/Config.d.ts:11

Generated using TypeDoc